vim.o.termguicolors = true

vim.g.sonokai_transparent_background = true
vim.g.sonokai_disable_terminal_colors = true

vim.api.nvim_create_autocmd('ColorScheme', {
  pattern = 'sonokai',
  callback = function()
    vim.api.nvim_set_hl(0, 'MiniIndentscopeSymbol', { link = 'Whitespace' })

    local configuration = vim.fn['sonokai#get_configuration']()
    local palette = vim.fn['sonokai#get_palette'](configuration.style, {[vim.type_idx]=vim.types.dictionary})

    vim.fn['sonokai#highlight']('MiniStatuslineModeNormal', palette.black, palette.blue)
    vim.fn['sonokai#highlight']('MiniStatuslineModeCommand', palette.black, palette.yellow)
    vim.fn['sonokai#highlight']('MiniStatuslineModeInsert', palette.black, palette.green)
    vim.fn['sonokai#highlight']('MiniStatuslineModeVisual', palette.black, palette.orange)
    vim.fn['sonokai#highlight']('MiniStatuslineModeReplace', palette.black, palette.red)
    vim.fn['sonokai#highlight']('MiniStatuslineModeOther', palette.black, palette.green)
  end,
})

vim.cmd('colorscheme sonokai')
